<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title></title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<style>
body {
    margin: auto;
    padding-right: 1em;
    padding-left: 1em;
    max-width: 44em;
    border-left: 1px solid black;
    border-right: 1px solid black;
    color: black;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 140%;
    color: #333;
}
pre, tt{
    font-family: monospace;
    background-color:#f8f8f8;
    padding: 2px 4px;
}
code{
    background-color:#f8f8f8;
    white-space: pre-wrap;
    font-size: 110%;
    padding: 1px 1px;
}
h1 a, h2 a, h3 a, h4 a, h5 a, li a {
    text-decoration: none;
    color: #7a5ada;
}
h1, h2, h3, h4, h5 { font-family: verdana;
                     font-weight: bold;
                     /*border-bottom: 1px dotted black;*/
                     color: #7a5ada; }
h1 {
        font-size: 130%;
}

h2 {
        font-size: 110%;
                     border-bottom: 1px dotted black;
}

h3 {
        font-size: 100%;
                     border-bottom: 1px dotted black;
}

h4 {
        font-size: 90%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h5 {
        font-size: 85%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h1.title {
        font-size: 200%;
        font-weight: bold;
        padding-top: 0.2em;
        padding-bottom: 0.2em;
        text-align: left;
        border: none;
}

dt code {
        font-weight: bold;
}
dd p {
        margin-top: 0;
}

#footer {
        padding-top: 1em;
        font-size: 70%;
        color: gray;
        text-align: center;
}
</style>
<p>The image below illustrates QtLinguist editing <em>etm_fr_FR.ts</em>. I've just entered the French translation of &quot;today&quot; (with my wife's help). For each context you pick, there is a list of items needing to be translated marked with question marks. Pick one, such as &quot;today&quot; and you see the code where it appears and you can type in the translation, click on the question mark to change it to a check and move on to the next item.</p>
<center>
<img src="images/qtlinguist_french.png" title="French" />
</center>

<p>Help with translations would be greatly appreciated. Translation files for French (<em>etm_fr_FR.ts</em>) and German (<em>etm_de_DE.ts</em>) are already on the web site. If you are interested in translating for a different language, let me know and I'll post the relevant <em>etm_xx_XX.ts</em> file.</p>
<p>Download the relevant <em>etm_xx_XX.ts</em> file and let me know that you've done so. I'll change the name on the website to indicate that the file is currently being edited. Open the file in QtLinguist, translate as many items as you like and, when you're done, save and send me the updated <em>etm_xx_XX.ts</em> file as an attachment and I'll post it to the website. When a translation is complete --- there are none or few remaining question marks --- I'll incorporate it into etm.</p>
<p>Once installed in etm, the appropriate translation file will automatically be selected on startup based upon the system locale and, voila, everything in the user interface will be in the proper language.</p>
</body>
</html>
